Package com.collabnet.ce.soap60.webservices.cemain

# Class LinkedApplication2SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.cemain.LinkedApplication2SoapDO

public class LinkedApplication2SoapDO extends ItemSoapDO
LinkedApplication2SoapDO represents a linked application's data.

Since:
  8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkedApplication2SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationType()`
  Returns 'applicationType'.
  `String`
  `getApplicationUrl()`
  Returns 'applicationUrl'.
  `int`
  `getDisplayOrder()`
  Returns 'displayOrder'.
  `String`
  `getIconKey()`
  Returns 'iconKey'.
  `boolean`
  `getSingleSignonEnabled()`
  Returns 'singleSignonEnabled'.
  `String`
  `getToolType()`
  Returns 'toolType'.
  `boolean`
  `getVisible()`
  Returns 'visible'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setApplicationType(String applicationType)`
  Sets 'applicationType'.
  `void`
  `setApplicationUrl(String applicationUrl)`
  Sets 'applicationUrl'.
  `void`
  `setDisplayOrder(int displayOrder)`
  Sets 'displayOrder'.
  `void`
  `setIconKey(String iconKey)`
  Sets 'iconKey'.
  `void`
  `setSingleSignonEnabled(boolean singleSignonEnabled)`
  Sets 'singleSignonEnabled'.
  `void`
  `setToolType(String toolType)`
  Sets 'toolType'.
  `void`
  `setVisible(boolean visible)`
  Sets 'visible'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinkedApplication2SoapDO

    public LinkedApplication2SoapDO()

- ## Method Details

  - ### getApplicationUrl

    public String getApplicationUrl()
    Returns 'applicationUrl'.
    Returns:
      Value of 'applicationUrl'.

  - ### setApplicationUrl

    public void setApplicationUrl(String applicationUrl)
    Sets 'applicationUrl'.
    Parameters:
      `applicationUrl` - Value of 'applicationUrl'.

  - ### getApplicationType

    public String getApplicationType()
    Returns 'applicationType'.
    Returns:
      Value of 'applicationType'.

  - ### setApplicationType

    public void setApplicationType(String applicationType)
    Sets 'applicationType'.
    Parameters:
      `applicationType` - Value of 'applicationType'.

  - ### getIconKey

    public String getIconKey()
    Returns 'iconKey'.
    Returns:
      Value of 'iconKey'.

  - ### setIconKey

    public void setIconKey(String iconKey)
    Sets 'iconKey'.
    Parameters:
      `iconKey` - Value of 'iconKey'.

  - ### getDisplayOrder

    public int getDisplayOrder()
    Returns 'displayOrder'.
    Returns:
      Value of 'displayOrder'.

  - ### setDisplayOrder

    public void setDisplayOrder(int displayOrder)
    Sets 'displayOrder'.
    Parameters:
      `displayOrder` - Value of 'displayOrder'.

  - ### getSingleSignonEnabled

    public boolean getSingleSignonEnabled()
    Returns 'singleSignonEnabled'.
    Returns:
      Value of 'singleSignonEnabled'.

  - ### setSingleSignonEnabled

    public void setSingleSignonEnabled(boolean singleSignonEnabled)
    Sets 'singleSignonEnabled'.
    Parameters:
      `singleSignonEnabled` - Value of 'singleSignonEnabled'.

  - ### getVisible

    public boolean getVisible()
    Returns 'visible'.
    Returns:
      Value of 'visible'.

  - ### setVisible

    public void setVisible(boolean visible)
    Sets 'visible'.
    Parameters:
      `visible` - Value of 'visible'.

  - ### getToolType

    public String getToolType()
    Returns 'toolType'.
    Returns:
      Value of 'toolType'.

  - ### setToolType

    public void setToolType(String toolType)
    Sets 'toolType'.
    Parameters:
      `toolType` - Value of 'toolType'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)